ForceFields::MMFF::MMFFAngleCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFAngle * | operator() (const MMFFDefCollection *mmffDef, const unsigned int angleType, const unsigned int iAtomType, const unsigned int jAtomType, const unsigned int kAtomType) const
| Looks up the parameters for a particular key and returns them. More...
| MMFFAngleCollection (std::string mmffAngle="")

## Public Attributes

std::vector< MMFFAngle > | d_params
| the parameter vector More...
std::vector< std::uint8_t > | d_iAtomType
std::vector< std::uint8_t > | d_jAtomType
| atom type vector for atom i More...
std::vector< std::uint8_t > | d_kAtomType
| atom type vector for atom j More...
std::vector< std::uint8_t > | d_angleType
| atom type vector for atom k More...

## Detailed Description

Definition at line 555 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## MMFFAngleCollection()

ForceFields::MMFF::MMFFAngleCollection::MMFFAngleCollection | ( | std::string | mmffAngle = `""` | ) |

## Member Function Documentation

## operator()()

const MMFFAngle* ForceFields::MMFF::MMFFAngleCollection::operator() | ( | const MMFFDefCollection * | mmffDef,
|  | const unsigned int | angleType,
|  | const unsigned int | iAtomType,
|  | const unsigned int | jAtomType,
|  | const unsigned int | kAtomType
| ) |  | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFAngle object, NULL on failure.

Definition at line 561 of file MMFF/Params.h.

## Member Data Documentation

## d_angleType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFAngleCollection::d_angleType

atom type vector for atom k

Definition at line 665 of file MMFF/Params.h.

## d_iAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFAngleCollection::d_iAtomType

Definition at line 662 of file MMFF/Params.h.

## d_jAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFAngleCollection::d_jAtomType

atom type vector for atom i

Definition at line 663 of file MMFF/Params.h.

## d_kAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFAngleCollection::d_kAtomType

atom type vector for atom j

Definition at line 664 of file MMFF/Params.h.

## d_params

std::vector<MMFFAngle> ForceFields::MMFF::MMFFAngleCollection::d_params

the parameter vector

Definition at line 661 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h